ServerEvents.recipes(event => {
    event.remove({id: 'ad_astra:electronic_blast_furnace'})
    event.remove({id: 'ad_astra:alloying/steel_ingot_from_alloying_iron_ingot_and_coals'})
    event.remove({id: 'ad_astra:coal_generator'})
    event.remove({id: 'ad_astra:steel_engine'})
    event.remove({id: 'ad_astra:desh_engine'})
    event.remove({id: 'ad_astra:ostrum_engine'})
    event.remove({id: 'ad_astra:calorite_engine'})
    event.remove({id: 'ad_astra:nasa_workbench'})
    event.remove({id: 'ad_astra:gas_tank'})
})

ServerEvents.recipes(event => {
    //Compressor
    event.shaped('ad_astra:compressor',
    ['121','1 1','121'], {
      1: '#forge:ingots/hop_graphite', 
      2: '#forge:pistons'
    }).id('ad_astra:compressor')

    //T1 Engine
    event.shaped('ad_astra:steel_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/steel', 
        2: 'ad_astra:engine_frame', 
        3: 'ad_astra:fan'
    }).id('ad_astra:steel_engine')

    //T2 Engine
    event.shaped('ad_astra:desh_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/desh', 
        2: 'ad_astra:steel_engine', 
        3: 'ad_astra:fan'
    }).id('ad_astra:desh_engine')

    //T3 Engine
    event.shaped('ad_astra:ostrum_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/ostrum', 
        2: 'ad_astra:desh_engine', 
        3: 'ad_astra:fan'
    }).id('ad_astra:ostrum_engine')

    //T4 Engine
    event.shaped('ad_astra:calorite_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/calorite', 
        2: 'ad_astra:ostrum_engine', 
        3: 'ad_astra:fan'
    }).id('ad_astra:calorite_engine')

    //Nasa Workbench
    event.shaped('ad_astra:nasa_workbench',
    ['121','343','252'], {
        1: 'enderio:infinity_rod', 
        2: '#forge:plates/steel', 
        3: 'create:mechanical_arm', 
        4: 'enderio:void_chassis', 
        5: 'create:railway_casing'
    }).id('ad_astra:nasa_workbench')

    //Gas Tank
    event.shaped('ad_astra:gas_tank',
    [' 1 ','232','232'], {
        1: '#create:valve_handles', 
        2: '#forge:sheetmetals/steel', 
        3: 'create_sa:large_fueling_tank'
    }).id('ad_astra:gas_tank')

    //Tier 2 Rocket
    event.custom({
  "type": "ad_astra:nasa_workbench",
  "ingredients": [
    {
      "item": "ad_astra:rocket_nose_cone"
    },
    {
      "tag": "ad_astra:desh_blocks"
    },
    {
      "tag": "ad_astra:desh_blocks"
    },
    {
      "tag": "ad_astra:desh_blocks"
    },
    {
      "tag": "ad_astra:desh_blocks"
    },
    {
      "tag": "ad_astra:desh_blocks"
    },
    {
      "tag": "ad_astra:desh_blocks"
    },
    {
      "item": "ad_astra:rocket_fin"
    },
    {
      "item": "ad_astra:desh_tank"
    },
    {
      "item": "ad_astra:desh_tank"
    },
    {
      "item": "ad_astra:rocket_fin"
    },
    {
      "item": "ad_astra:rocket_fin"
    },
    {
      "item": "ad_astra:tier_1_rocket"
    },
    {
      "item": "ad_astra:rocket_fin"
    }
  ],
  "result": {
    "count": 1,
    "id": "ad_astra:tier_2_rocket"
  }
}).id('ad_astra:nasa_workbench/tier_2_rocket_from_nasa_workbench')
})